<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasOne;

class GroupAccountOrganisation extends Model
{
    protected $fillable = [
        "organisation_id",
        "group_account_id",
        "is_active",
        "token",
    ];


    use HasFactory;
    public function organisation() : BelongsTo {
        return $this->belongsTo(Organisation::class);
    }
    public function groupAccount() : BelongsTo {
        return $this->belongsTo(GroupAccount::class);
    }
}
